Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const node = require('@sentry/node');
const core = require('@sentry/core');
const client = require('./client.js');
const sdk = require('./sdk.js');
const bunserver = require('./integrations/bunserver.js');
const index = require('./transports/index.js');



exports.NodeClient = node.NodeClient;
exports.SDK_VERSION = node.SDK_VERSION;
exports.SEMANTIC_ATTRIBUTE_SENTRY_OP = node.SEMANTIC_ATTRIBUTE_SENTRY_OP;
exports.SEMANTIC_ATTRIBUTE_SENTRY_ORIGIN = node.SEMANTIC_ATTRIBUTE_SENTRY_ORIGIN;
exports.SEMANTIC_ATTRIBUTE_SENTRY_SAMPLE_RATE = node.SEMANTIC_ATTRIBUTE_SENTRY_SAMPLE_RATE;
exports.SEMANTIC_ATTRIBUTE_SENTRY_SOURCE = node.SEMANTIC_ATTRIBUTE_SENTRY_SOURCE;
exports.Scope = node.Scope;
exports.addBreadcrumb = node.addBreadcrumb;
exports.addEventProcessor = node.addEventProcessor;
exports.addIntegration = node.addIntegration;
exports.amqplibIntegration = node.amqplibIntegration;
exports.anrIntegration = node.anrIntegration;
exports.captureCheckIn = node.captureCheckIn;
exports.captureEvent = node.captureEvent;
exports.captureException = node.captureException;
exports.captureFeedback = node.captureFeedback;
exports.captureMessage = node.captureMessage;
exports.captureSession = node.captureSession;
exports.close = node.close;
exports.connectIntegration = node.connectIntegration;
exports.consoleIntegration = node.consoleIntegration;
exports.consoleLoggingIntegration = node.consoleLoggingIntegration;
exports.contextLinesIntegration = node.contextLinesIntegration;
exports.continueTrace = node.continueTrace;
exports.createGetModuleFromFilename = node.createGetModuleFromFilename;
exports.createSentryWinstonTransport = node.createSentryWinstonTransport;
exports.createTransport = node.createTransport;
exports.cron = node.cron;
exports.dataloaderIntegration = node.dataloaderIntegration;
exports.defaultStackParser = node.defaultStackParser;
exports.disableAnrDetectionForCallback = node.disableAnrDetectionForCallback;
exports.endSession = node.endSession;
exports.eventFiltersIntegration = node.eventFiltersIntegration;
exports.expressErrorHandler = node.expressErrorHandler;
exports.expressIntegration = node.expressIntegration;
exports.fastifyIntegration = node.fastifyIntegration;
exports.featureFlagsIntegration = node.featureFlagsIntegration;
exports.flush = node.flush;
exports.fsIntegration = node.fsIntegration;
exports.functionToStringIntegration = node.functionToStringIntegration;
exports.generateInstrumentOnce = node.generateInstrumentOnce;
exports.genericPoolIntegration = node.genericPoolIntegration;
exports.getActiveSpan = node.getActiveSpan;
exports.getAutoPerformanceIntegrations = node.getAutoPerformanceIntegrations;
exports.getClient = node.getClient;
exports.getCurrentScope = node.getCurrentScope;
exports.getGlobalScope = node.getGlobalScope;
exports.getIsolationScope = node.getIsolationScope;
exports.getRootSpan = node.getRootSpan;
exports.getSentryRelease = node.getSentryRelease;
exports.getSpanDescendants = node.getSpanDescendants;
exports.getSpanStatusFromHttpCode = node.getSpanStatusFromHttpCode;
exports.getTraceData = node.getTraceData;
exports.getTraceMetaTags = node.getTraceMetaTags;
exports.graphqlIntegration = node.graphqlIntegration;
exports.hapiIntegration = node.hapiIntegration;
exports.httpIntegration = node.httpIntegration;
exports.inboundFiltersIntegration = node.inboundFiltersIntegration;
exports.initOpenTelemetry = node.initOpenTelemetry;
exports.instrumentSupabaseClient = node.instrumentSupabaseClient;
exports.isEnabled = node.isEnabled;
exports.isInitialized = node.isInitialized;
exports.kafkaIntegration = node.kafkaIntegration;
exports.knexIntegration = node.knexIntegration;
exports.koaIntegration = node.koaIntegration;
exports.lastEventId = node.lastEventId;
exports.linkedErrorsIntegration = node.linkedErrorsIntegration;
exports.localVariablesIntegration = node.localVariablesIntegration;
exports.logger = node.logger;
exports.lruMemoizerIntegration = node.lruMemoizerIntegration;
exports.makeNodeTransport = node.makeNodeTransport;
exports.modulesIntegration = node.modulesIntegration;
exports.mongoIntegration = node.mongoIntegration;
exports.mongooseIntegration = node.mongooseIntegration;
exports.mysql2Integration = node.mysql2Integration;
exports.mysqlIntegration = node.mysqlIntegration;
exports.nativeNodeFetchIntegration = node.nativeNodeFetchIntegration;
exports.nodeContextIntegration = node.nodeContextIntegration;
exports.onUncaughtExceptionIntegration = node.onUncaughtExceptionIntegration;
exports.onUnhandledRejectionIntegration = node.onUnhandledRejectionIntegration;
exports.parameterize = node.parameterize;
exports.postgresIntegration = node.postgresIntegration;
exports.postgresJsIntegration = node.postgresJsIntegration;
exports.prismaIntegration = node.prismaIntegration;
exports.profiler = node.profiler;
exports.redisIntegration = node.redisIntegration;
exports.requestDataIntegration = node.requestDataIntegration;
exports.setContext = node.setContext;
exports.setCurrentClient = node.setCurrentClient;
exports.setExtra = node.setExtra;
exports.setExtras = node.setExtras;
exports.setHttpStatus = node.setHttpStatus;
exports.setMeasurement = node.setMeasurement;
exports.setTag = node.setTag;
exports.setTags = node.setTags;
exports.setUser = node.setUser;
exports.setupConnectErrorHandler = node.setupConnectErrorHandler;
exports.setupExpressErrorHandler = node.setupExpressErrorHandler;
exports.setupFastifyErrorHandler = node.setupFastifyErrorHandler;
exports.setupHapiErrorHandler = node.setupHapiErrorHandler;
exports.setupKoaErrorHandler = node.setupKoaErrorHandler;
exports.spanToBaggageHeader = node.spanToBaggageHeader;
exports.spanToJSON = node.spanToJSON;
exports.spanToTraceHeader = node.spanToTraceHeader;
exports.spotlightIntegration = node.spotlightIntegration;
exports.startInactiveSpan = node.startInactiveSpan;
exports.startNewTrace = node.startNewTrace;
exports.startSession = node.startSession;
exports.startSpan = node.startSpan;
exports.startSpanManual = node.startSpanManual;
exports.supabaseIntegration = node.supabaseIntegration;
exports.suppressTracing = node.suppressTracing;
exports.tediousIntegration = node.tediousIntegration;
exports.trpcMiddleware = node.trpcMiddleware;
exports.updateSpanName = node.updateSpanName;
exports.vercelAIIntegration = node.vercelAIIntegration;
exports.withActiveSpan = node.withActiveSpan;
exports.withIsolationScope = node.withIsolationScope;
exports.withMonitor = node.withMonitor;
exports.withScope = node.withScope;
exports.wrapMcpServerWithSentry = node.wrapMcpServerWithSentry;
exports.zodErrorsIntegration = node.zodErrorsIntegration;
exports.captureConsoleIntegration = core.captureConsoleIntegration;
exports.dedupeIntegration = core.dedupeIntegration;
exports.extraErrorDataIntegration = core.extraErrorDataIntegration;
exports.rewriteFramesIntegration = core.rewriteFramesIntegration;
exports.BunClient = client.BunClient;
exports.getDefaultIntegrations = sdk.getDefaultIntegrations;
exports.init = sdk.init;
exports.bunServerIntegration = bunserver.bunServerIntegration;
exports.makeFetchTransport = index.makeFetchTransport;
//# sourceMappingURL=index.js.map
