/**
 * Instruments `Bun.serve` to automatically create transactions and capture errors.
 *
 * Does not support instrumenting static routes.
 *
 * Enabled by default in the Bun SDK.
 *
 * ```js
 * Sentry.init({
 *   integrations: [
 *     Sentry.bunServerIntegration(),
 *   ],
 * })
 * ```
 */
export declare const bunServerIntegration: () => import("@sentry/core").Integration;
/**
 * Instruments Bun.serve by patching it's options.
 *
 * Only exported for tests.
 */
export declare function instrumentBunServe(): void;
//# sourceMappingURL=bunserver.d.ts.map